.TH "DETECTIVE" "1" "June 4, 2008" "NiH" "General Commands Manual"
.nh
.if n .ad l
.SH "NAME"
\fBdetective\fR
\- list zip archive contents with headers skipped
.SH "SYNOPSIS"
.HP 10n
\fBdetective\fR
[\fB\-hV\fR]
[\fB\-C\fR\ \fIhashtypes\fR]
[\fB\-D\fR\ \fIdbfile\fR]
[\fB\--db\fR\ \fIdbfile\fR]
[\fB\--detector\fR\ \fIfile\fR]
[\fB\--hash-types\fR\ \fItypes\fR]
[\fIzip-archive\fR\ [...]]
.SH "DESCRIPTION"
\fBdetective\fR
lists the contents of zip archives in a format similar to
dumpgame(1),
optionally applying a header skip detector.
.PP
If no hash types or detector are given via command line options,
they are taken from the
ckmame(1)
database.
.SS "OPTIONS"
\fBdetective\fR
supports the following options:
.TP 31n
\fB\-C\fR \fItypes\fR, \fB\--hash-types\fR \fItypes\fR
.br
A comma separated list of hash types to compute when creating a ROM
set description from a directory of zip archives.
Supported hash types are: crc, md5, sha1.
.TP 31n
\fB\-D\fR \fIdbfile\fR, \fB\--db\fR \fIdbfile\fR
Use
\fIdbfile\fR
as database file.
.TP 31n
\fB\--detector\fR \fIfile\fR
Use CMPro XML header skip detector description from
\fIfile\fR.
.SH "ENVIRONMENT"
.TP 12n
\fRMAMEDB\fR
Location for the database file.
Can be overridden with the
\fB\-D\fR
option.
Defaults to
\(lq\fImame.db\fR\(rq.
.SH "SEE ALSO"
ckmame(1),
dumpgame(1)
.SH "AUTHORS"
\fBdetective\fR
was written by
Dieter Baron <\fIdillo@giga.or.at\fR>
and
Thomas Klausner <\fItk@giga.or.at\fR>.
